# Uses of Class
javassist.CtField

Packages that use CtField
Package
Description
javassist
The Javassist Core API.
javassist.compiler.ast
javassist.expr
This package contains the classes for modifying a method body.

## Uses of CtField in javassist

Methods in javassist that return CtField
Modifier and Type
Method
Description
`CtField`
CtClass.`getDeclaredField(String name)`
Retrieves the field with the specified name among the fields declared in the class.
`CtField`
CtClass.`getDeclaredField(String name, String desc)`
Retrieves the field with the specified name and type among the fields declared in the class.
`CtField[]`
CtClass.`getDeclaredFields()`
Gets all the fields declared in the class.
`CtField`
CtClass.`getField(String name)`
Returns the field with the specified name.
`CtField`
CtClass.`getField(String name, String desc)`
Returns the field with the specified name and type.
`CtField[]`
CtClass.`getFields()`
Returns an array containing `CtField` objects representing all the non-private fields of the class.
`static CtField`
CtField.`make(String src, CtClass declaring)`
Compiles the given source code and creates a field.
Methods in javassist with parameters of type CtField
Modifier and Type
Method
Description
`void`
CtClass.`addField(CtField f)`
Adds a field.
`void`
CtClass.`addField(CtField f, String init)`
Adds a field with an initial value.
`void`
CtClass.`addField(CtField f, CtField.Initializer init)`
Adds a field with an initial value.
`static CtMethod`
CtNewMethod.`getter(String methodName, CtField field)`
Creates a public getter method.
`void`
CodeConverter.`redirectFieldAccess(CtField field, CtClass newClass, String newFieldname)`
Modify a method body so that field read/write expressions access a different field from the original one.
`void`
CtClass.`removeField(CtField f)`
Removes a field declared in this class.
`void`
CodeConverter.`replaceFieldRead(CtField field, CtClass calledClass, String calledMethod)`
Modify a method body so that an expression reading the specified field is replaced with a call to the specified static method.
`void`
CodeConverter.`replaceFieldWrite(CtField field, CtClass calledClass, String calledMethod)`
Modify a method body so that an expression writing the specified field is replaced with a call to the specified static method.
`static CtMethod`
CtNewMethod.`setter(String methodName, CtField field)`
Creates a public setter method.
Constructors in javassist with parameters of type CtField
Modifier
Constructor
Description
``
`CtField(CtField src, CtClass declaring)`
Creates a copy of the given field.

## Uses of CtField in javassist.compiler.ast

Methods in javassist.compiler.ast that return CtField
Modifier and Type
Method
Description
`CtField`
Member.`getField()`
Methods in javassist.compiler.ast with parameters of type CtField
Modifier and Type
Method
Description
`void`
Member.`setField(CtField f)`

## Uses of CtField in javassist.expr

Methods in javassist.expr that return CtField
Modifier and Type
Method
Description
`CtField`
FieldAccess.`getField()`
Returns the field accessed by this expression.